require 'fileutils'

module Conscan
  module Explorer
    def self.explore path
      path = File.expand_path(path)
      Dir.entries(path).each do |entry|
        if entry == '.' || entry == '..'
          next
        else
          entry = File.expand_path(entry, path)
          if File.directory? entry
            self.explore entry
          else
            Conscan::Scanner.scan entry
          end
        end
      end
    end
  end
end
